%define upstream_name    Internals
%define upstream_version 1.1

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 27

Summary:	Write-protect variables, manipulate refcounts
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel


%description
This module allows you to write-protect and write-enable your Perl
variables, objects and data structures.

Moreover, the reference count of any Perl variable can be read and set.

You can never pass the object directly on which to perform the desired
action, you always have to pass a reference to the variable or data
structure in question.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README.txt Artistic.txt GNU_GPL.txt CHANGES.txt
%{_mandir}/man3/*
%perl_vendorarch/Internals.pm
%perl_vendorarch/auto/Internals


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.100.0-27.mga10
+ Revision: 2226039
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 1.100.0-26.mga10
+ Revision: 2088072
- Rebuild against new perl

* Thu Nov 30 2023 tv <tv> 1.100.0-25.mga10
+ Revision: 2011605
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.100.0-24.mga9
+ Revision: 1861986
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.100.0-23.mga9
+ Revision: 1795814
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.100.0-22.mga9
+ Revision: 1726725
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.100.0-21.mga8
+ Revision: 1594817
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.100.0-20.mga8
+ Revision: 1529588
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 1.100.0-19.mga8
+ Revision: 1433709
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.100.0-18.mga7
+ Revision: 1293220
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.100.0-17.mga7
+ Revision: 1249129
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.100.0-16.mga7
+ Revision: 1165012
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.100.0-15.mga7
+ Revision: 1148958
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.100.0-14.mga7
+ Revision: 1126587
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.100.0-13.mga6
+ Revision: 1028597
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.100.0-12.mga6
+ Revision: 957542
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.100.0-11.mga6
+ Revision: 843152
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-10.mga5
+ Revision: 738831
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.0-9.mga5
+ Revision: 685136
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.100.0-8.mga5
+ Revision: 631313
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.100.0-7.mga4
+ Revision: 524848
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.100.0-6.mga4
+ Revision: 431580
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-5.mga3
+ Revision: 368746
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.100.0-4.mga3
+ Revision: 250781
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.100.0-3.mga2
+ Revision: 104687
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.100.0-2.mga1
+ Revision: 30633
- mageia rebuild
- imported package perl-Internals


* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.100.0-2mdv2011.0
+ Revision: 555272
- rebuild

* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.0-1mdv2010.1
+ Revision: 504935
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.1-3mdv2010.0
+ Revision: 430471
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.1-2mdv2009.0
+ Revision: 268535
- rebuild early 2009.0 package (before pixel changes)

* Sun Jun 01 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.1-1mdv2009.0
+ Revision: 214061
- import perl-Internals


* Sun Jun 01 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.1-1mdv2009.0
- first mdv release  
